解决Centos6编译错误:expecting string instruction after `rep

Linux就该这么学

centos6,gcc 4.8.2下出现expecting string instruction after `rep’的错误,解决方法:

  1. you need to install devtoolset 2.1
  2. then install devtoolset-libutils
  3. follow gnu build instuctions, should build fine now. 

    具体可以按照以下命令执行:
wget http://people.centos.org/tru/devtools-2/devtools-2.repo -O /etc/yum.repos.d/devtools-2.repo
yum install devtoolset-2-gcc devtoolset-2-binutils
yum install devtoolset-2-gcc-gfortran
  • 1
  • 2
  • 3
  • 1
  • 2
  • 3

执行上面的命令后问题就得到解决了。

 

本文由 CentOS中文站 - 专注Linux技术 作者:centos 发表,其版权均为 CentOS中文站 - 专注Linux技术 所有,文章内容系作者个人观点,不代表 CentOS中文站 - 专注Linux技术 对观点赞同或支持。如需转载,请注明文章来源。

相关文章

发表评论

邮箱地址不会被公开。 必填项已用*标注